## tuxsuite-0.38.1.tar.gz

=== Makefile ===
export PROJECT := tuxsuite
export TUXPKG_MIN_COVERAGE := 64

include $(shell tuxpkg get-makefile)

.PHONY: htmlcov tags

htmlcov:
	python3 -m pytest --cov=tuxrun --cov-report=html

doc: docs/index.md
	mkdocs build

docs/index.md: README.md scripts/readme2index.sh
	scripts/readme2index.sh $@

doc-serve:
	mkdocs serve

flit = flit
publish-pypi:
	$(flit) publish

tags:
	ctags -R tuxsuite/ test/

=== examples/Makefile ===
buildsets.yaml: buildsets.py
	python3 buildsets.py > buildsets.yaml

test:
	tuxsuite build-set --git-repo 'https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git' --git-ref master --tux-config buildsets.yaml --set-name tinyconfigs

=== debian/changelog ===
tuxsuite (0.38.1-1) UNRELEASED; urgency=medium

  * Initial release

 -- Senthil Kumaran <senthil.kumaran@linaro.org>  Mon, 04 Oct 2021 13:37:49 +0530

=== debian/control ===
Source: tuxsuite
Maintainer: Senthil Kumaran <senthil.kumaran@linaro.org>
Section: python
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-python,
               flit,
               wget,
               python3-all,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
               python3-flask,
               python3-flask-restful
Standards-Version: 3.9.6
Homepage: https://tuxsuite.com/

Package: tuxsuite
Architecture: all
Depends: python3 (>= 3.6),
         python3-attr,
         python3-click,
         python3-requests,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: tuxsuite.com client for Linux kernel building and testing
  TuxSuite, by Linaro, is a suite of tools and services to help with Linux
  kernel development. The TuxSuite CLI is the supported interface to TuxBuild
  and TuxTest. TuxBuild is an on demand API for building massive quantities of
  Linux kernels in parallel. TuxTest is an on demand API for testing Linux
  kernels reliably and quickly.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = tuxsuite

export PYBUILD_TEST_PYTEST = 1
export PYBUILD_TEST_ARGS = test/
export LC_ALL = C.UTF-8

# Support non-flit builds - requires setup.py to be present (which is the case
# in pypi release tarballs)
ifneq ($(shell pybuild --list-systems | grep flit),)
export PYBUILD_SYSTEM = flit
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

# FIXME this should not be necessary with PYBUILD_TEST_PYTEST = 1 above
# but I can't get it to work for some reason.
override_dh_auto_test:
	for p in $$(py3versions --supported); do $$p -m pytest test/; done
